<?php

namespace App\Modules\Mini\Controllers;

use App\Base\BaseController;
use App\Modules\Mini\Services\CompanyService;
use App\Modules\Mini\Services\FavService;
use Faker\Provider\Image;
use Illuminate\Support\Facades\Auth;

class UserController extends BaseController
{
    public function company()
    {
        $params = $this->valid([
            "name" => "required",
            "tax_no" => "required",
        ]);

        return $this->ok(app(CompanyService::class)->company(Auth::user(), $params));
    }

    public function fav()
    {
        $params = $this->valid([
            "page_size" => "",
        ]);
        return $this->ok(app(FavService::class)->paginate(Auth::user(), $params));
    }

    public function favDel()
    {
        return $this->ok();
    }

    public function address()
    {
        return $this->ok([
            "total" => 1,
            "page_total" => 1,
            "list" => [
                [
                    "id" => 1,
                    "is_default" => 1,
                    "name" => "收件人姓名",
                    "address" => "余杭良睦路地铁鼎创中心**位置",
                    "phone" => "15012341234",
                    "location" => "浙江省杭州市余杭区",
                ],
            ],
        ]);
    }

    public function addressDel()
    {
        return $this->ok();
    }

    public function addressStore()
    {
        return $this->ok();
    }
}
